# 20230515-SandeepRajuVysyaraju-NYCSchools

### Screenshots

<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/LaunchScreen_light.png" width="250"> 
<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/Dashboard_dark.png" width="250"> 
<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/Dashboard_light.png" width="250">
<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/Search_dark.png" width="250"> 
<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/Search_light.png" width="250">
<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/Detail_Dark.png" width="250"> 
<img src="https://gitlab.com/sandeepraju.vysyaraju/20230515-sandeeprajuvysyaraju-nycschools/-/raw/main/20230515-SandeepRajuVysyaraju-NYCSchools/ScreenShots/Detail_light.png" width="250">


### Instructions

**Coding Challenge: NYC Schools**

**GOAL** : Verify candidate can provide a technical solution and follow instructions

**REQUIREMENTS** :

These requirements are rather high-level and vague. If details are omitted, it is because we will be happy with any of a wide variety of solutions. Don&#39;t worry about finding &quot;the&quot; solution. Feel free to be creative with the requirements. Your goal is to impress (but do so with clean code).

Create a browser based or native app to provide information on NYC High schools.

1. Display a list of NYC High Schools.
1. Get your data here: [https://data.cityofnewyork.us/Education/DOE-High-School-Directory-2017/s3k6-pzi2](https://data.cityofnewyork.us/Education/DOE-High-School-Directory-2017/s3k6-pzi2)
2. Selecting a school should show additional information about the school
1. Display all the SAT scores - include Math, Reading and Writing.
1. SAT data here: [https://data.cityofnewyork.us/Education/SAT-Results/f9bf-2cp4](https://data.cityofnewyork.us/Education/SAT-Results/f9bf-2cp4)
2. It is up to you to decide what additional information to display

When creating a name for your project, please use the following naming convention:

**YYYYMMDD-[First&amp;LastName]-NYCSchools** **(**_Example: 20180101-DanielleBordner-NYCSchools)_

In order to prevent you from running down rabbit holes that are less important to us, try to prioritize the following:

**What is Important**

- Proper function – requirements met.
- Well constructed, easy-to-follow, commented code (especially comment hacks or workarounds made in the interest of expediency (i.e. // given more time I would prefer to wrap this in a blah blah blah pattern blah blah )).
- Proper separation of concerns and best-practice coding patterns.
- Defensive code that graciously handles unexpected edge cases.

**What is Less Important**

- Demonstrating technologies or techniques you are not already familiar with.

**Bonus Points!**

- Unit Tests
- Additional functionality – whatever you see fit.

**iOS:**

- For applications that include CocoaPods with their project code, having the Pods included in the code commits as source is recommended. (Even though it goes against the CocoaPods general rules).
- Be sure to use safe area insets.
- Make sure your app is compatible with iPhone X.

**Android:**

- Make sure you are correctly handing any necessary permissions.
- Please make sure you are using Java. If you want to demonstrate the use of Kotlin, we&#39;d rather you use a combination of both.

As mentioned, you are not expected to function in a vacuum. Use all the online resources you can find, and please do contact us with questions or for interim feedback if you desire.

